Bug 205187 - After starting evolution, evolution-data-server crashes
After starting evolution, evolution-data-server crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
rawhide
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
:
: 206217 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-05 08:03 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: evolution-data-server-1.8.0-4.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-16 17:21:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.12 KB, patch)
2006-09-16 14:14 EDT, Matthew Barnes
no flags Details | Diff

  None (edit)
Description sangu 2006-09-05 08:03:50 EDT
Description of problem:
evolution-data-server crashes

Memory status: size: 53153792 vsize: 0 resident: 53153792 share: 0 rss: 6451200
rss_rlim: 0
CPU usage: start_time: 1157458073 rtime: 0 utime: 8 stime: 0 cutime:5 cstime: 0
timeout: 3 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/libexec/evolution-data-server-1.8'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208224048 (LWP 24516)]
[New Thread -1211765872 (LWP 24517)]
0xb7fe1402 in __kernel_vsyscall ()
#0  0xb7fe1402 in __kernel_vsyscall ()
#1  0x008027eb in ?? () from /lib/libc.so.6
#2  0x007aac5f in do_system (
    line=0x93c8490 "/usr/libexec/gnome_segv2
\"/usr/libexec/evolution-data-server-1.8\" 11 \"1.8.0\"") at
../sysdeps/posix/system.c:164
#3  0x007ab012 in __libc_system (
    line=0x93c8490 "/usr/libexec/gnome_segv2
\"/usr/libexec/evolution-data-server-1.8\" 11 \"1.8.0\"") at
../sysdeps/posix/system.c:206
#4  0x005dceed in system (
    line=0x93c8490 "/usr/libexec/gnome_segv2
\"/usr/libexec/evolution-data-server-1.8\" 11 \"1.8.0\"") at pt-system.c:29
#5  0x0804af31 in gnome_segv_handler (signo=11) at server.c:114
#6  <signal handler called>
#7  0x007e10b8 in ?? () from /lib/libc.so.6
#8  0x006c2c64 in IA__g_str_equal (v1=0x0, v2=0x980e30) at gstring.c:77
#9  0x0097f175 in begin_retrieval_cb (cbhttp=0x938f618)
    at e-cal-backend-http.c:450
#10 0x006a45e1 in g_idle_dispatch (source=0x93c2f98, callback=0x980e30, 
    user_data=0x938f618) at gmain.c:3926
#11 0x006a6342 in IA__g_main_context_dispatch (context=0x93787f8)
    at gmain.c:2045
#12 0x006a931f in g_main_context_iterate (context=0x93787f8, block=1, 
    dispatch=1, self=0x936e2a8) at gmain.c:2677
#13 0x006a96c9 in IA__g_main_loop_run (loop=0x938f418) at gmain.c:2881
#14 0x004e9a23 in bonobo_main () at bonobo-main.c:311
#15 0x0804b6a4 in main (argc=154712816, argv=0xbfe75854) at server.c:400
#16 0x0078b24c in __libc_start_main (main=0x804b130 <main>, argc=3, 
    ubp_av=0xbfe75854, init=0x804bb68 <__libc_csu_init>, 
    fini=0x804bb60 <__libc_csu_fini>, rtld_fini=0x4be370 <_dl_fini>, 
    stack_end=0xbfe7584c) at libc-start.c:231
#17 0x0804a081 in _start ()

Thread 2 (Thread -1211765872 (LWP 24517)):
#0  0xb7fe1402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00838243 in *__GI___poll (fds=0x8aaff4, nfds=9, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = 0
	result = <value optimized out>
#2  0x006a9353 in g_main_context_iterate (context=0x93814b0, block=1, 
    dispatch=1, self=0x937ba30) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 9
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x9395560
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x006a96c9 in IA__g_main_loop_run (loop=0x9381450) at gmain.c:2881
	got_ownership = 6123760
	self = (GThread *) 0x937ba30
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x00f6b2e0 in link_io_thread_fn (data=0x0) at linc.c:396
No locals.
#5  0x006c3fcf in g_thread_create_proxy (data=0x937ba30) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x005d5269 in start_thread (arg=0xb7c5eb90) at pthread_create.c:283
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb7c5eb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {6172660, 0, 4001536, 
        -1211767640, -1764631354, 558459567}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x00841dae in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x87fca0

Thread 1 (Thread -1208224048 (LWP 24516)):
#0  0xb7fe1402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x008027eb in ?? () from /lib/libc.so.6
No locals.
#2  0x007aac5f in do_system (
    line=0x93c8490 "/usr/libexec/gnome_segv2
\"/usr/libexec/evolution-data-server-1.8\" 11 \"1.8.0\"") at
../sysdeps/posix/system.c:164
	_buffer = {__routine = 0x7aaa10 <cancel_handler>, __arg = 0xbfe75204, 
  __canceltype = 1, __prev = 0x0}
	_avail = 1
	status = <value optimized out>
	save = <value optimized out>
	pid = 24526
	sa = {__sigaction_handler = {sa_handler = 0x1, sa_sigaction = 0x1}, 
  sa_mask = {__val = {65536, 0 <repeats 31 times>}}, sa_flags = 0, 
  sa_restorer = 0x1ceee48a}
	omask = {__val = {1024, 0, 16083808, 43, 4294967295, 3219607960, 
    16083006, 154990209, 9089012, 8235505, 154984360, 3219608008, 8251584, 
    9093408, 154984360, 9087776, 8245280, 8251440, 7440232, 11, 3219608084, 
    3219608040, 7845036, 3086781664, 134528628, 4294967295, 5021632, 
    3086781008, 6098248, 3219608080, 4971200, 3086781448}}
#3  0x007ab012 in __libc_system (
    line=0x93c8490 "/usr/libexec/gnome_segv2
\"/usr/libexec/evolution-data-server-1.8\" 11 \"1.8.0\"") at
../sysdeps/posix/system.c:206
	oldtype = 0
	result = <value optimized out>
#4  0x005dceed in system (
    line=0x93c8490 "/usr/libexec/gnome_segv2
\"/usr/libexec/evolution-data-server-1.8\" 11 \"1.8.0\"") at pt-system.c:29
No locals.
#5  0x0804af31 in gnome_segv_handler (signo=11) at server.c:114
	in_segv = 1
#6  <signal handler called>
No symbol table info available.
#7  0x007e10b8 in ?? () from /lib/libc.so.6
	mallstream = (FILE *) 0x0
	tr_old_memalign_hook = (void *(*)(size_t, size_t, const void *)) 0
	tr_old_malloc_hook = (void *(*)(size_t, const void *)) 0
	tr_old_realloc_hook = (void *(*)(void *, size_t, const void *)) 0
	lock = 0
	mallenv = "MALLOC_TRACE"
	malloc_trace_buffer = 0x0
	tr_old_free_hook = (void (*)(void *, const void *)) 0
	mallwatch = (void *) 0x0
#8  0x006c2c64 in IA__g_str_equal (v1=0x0, v2=0x980e30) at gstring.c:77
No locals.
#9  0x0097f175 in begin_retrieval_cb (cbhttp=0x938f618)
    at e-cal-backend-http.c:450
	source = <value optimized out>
	secure_prop = <value optimized out>
	priv = (ECalBackendHttpPrivate *) 0x93bb800
	soup_message = <value optimized out>
#10 0x006a45e1 in g_idle_dispatch (source=0x93c2f98, callback=0x980e30, 
    user_data=0x938f618) at gmain.c:3926
No locals.
#11 0x006a6342 in IA__g_main_context_dispatch (context=0x93787f8)
    at gmain.c:2045
No locals.
#12 0x006a931f in g_main_context_iterate (context=0x93787f8, block=1, 
    dispatch=1, self=0x936e2a8) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x938d6b0
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#13 0x006a96c9 in IA__g_main_loop_run (loop=0x938f418) at gmain.c:2881
	got_ownership = 6123760
	self = (GThread *) 0x936e2a8
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#14 0x004e9a23 in bonobo_main () at bonobo-main.c:311
	loop = (GMainLoop *) 0x938f418
#15 0x0804b6a4 in main (argc=154712816, argv=0xbfe75854) at server.c:400
	offline_listener = (OfflineListener *) 0x938d800
#16 0x0078b24c in __libc_start_main (main=0x804b130 <main>, argc=3, 
    ubp_av=0xbfe75854, init=0x804bb68 <__libc_csu_init>, 
    fini=0x804bb60 <__libc_csu_fini>, rtld_fini=0x4be370 <_dl_fini>, 
    stack_end=0xbfe7584c) at libc-start.c:231
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {9089012, 5020832, 0, 
        -1075357656, -1628213434, 560761479}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x4c2de0, 0x78b17d}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 4992480}}}
	not_first_call = <value optimized out>
#17 0x0804a081 in _start ()
No symbol table info available.
#0  0xb7fe1402 in __kernel_vsyscall ()


Version-Release number of selected component (if applicable):
1.8.0-1

How reproducible:
always

Steps to Reproduce:
1. Update evolution-data-server 1.8.0-1
2. $evolution --force-shutdown
3. start evolution
  
Actual results:


Expected results:


Additional info:
evolution-2.7.92-7.fc6
Comment 1 Matthew Barnes 2006-09-05 09:46:55 EDT
Thanks for the bug report.  Can I have you try running evolution from a terminal
window, and post the output when you see the crash?  I'm looking for any
suspicious warnings or messages just before the crash occurs.
Comment 2 sangu 2006-09-05 13:34:01 EDT
$ evolution
CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
** (evolution:26544): DEBUG: mailto URL command: evolution %s
** (evolution:26544): DEBUG: mailto URL program: evolution
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
Comment 3 sangu 2006-09-09 00:01:37 EDT
$rpm -Vp evolution-data-server-1.8.0-1.fc6.i386.rpm
S.5....T   /usr/lib/bonobo/servers/GNOME_Evolution_DataServer_1.2.server
..5....T   /usr/lib/evolution-data-server-1.2/camel-providers/libcamelgroupwise.
so
[...]
missing     /usr/share/doc/evolution-data-server-1.8.0
missing   d /usr/share/doc/evolution-data-server-1.8.0/AUTHORS
missing   d /usr/share/doc/evolution-data-server-1.8.0/COPYING
missing   d /usr/share/doc/evolution-data-server-1.8.0/ChangeLog
missing   d /usr/share/doc/evolution-data-server-1.8.0/NEWS
missing   d /usr/share/doc/evolution-data-server-1.8.0/README
[...]
.......T   /usr/share/pixmaps/evolution-data-server-1.8/category_suppliers_16.pn
g
.......T   /usr/share/pixmaps/evolution-data-server-1.8/category_time-and-expens
es_16.png

Is this package error relative with bug 205187 ?
Comment 4 sangu 2006-09-15 10:47:24 EDT
comment #3 still happens in evolution-data-server-1.8.0-2.fc6.i386.rpm.
Comment 5 George Billios 2006-09-16 03:39:52 EDT
I also confirm this with latest versions of evolution & evolution-data-server:

Memory status: size: 37044224 vsize: 0 resident: 37044224 share: 0 rss: 6283264
rss_rlim: 0
CPU usage: start_time: 1158392280 rtime: 0 utime: 4 stime: 0 cutime:3 cstime: 0
timeout: 1 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/libexec/evolution-data-server-1.8'

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 1088727824 (LWP 5350)]
[New Thread 1093409680 (LWP 5351)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x4095749b in __waitpid_nocancel () from /lib/libc.so.6
#2  0x408ff91f in do_system () from /lib/libc.so.6
#3  0x408ffcd2 in system () from /lib/libc.so.6
#4  0x408c00dd in system () from /lib/libpthread.so.0
#5  0x0804af31 in POA_GNOME_Evolution_DataServer_InterfaceCheck__init ()
#6  <signal handler called>
#7  0x40935d88 in strcmp () from /lib/libc.so.6
#8  0x40817c64 in g_str_equal () from /lib/libglib-2.0.so.0
#9  0x41189175 in e_cal_backend_http_get_type ()
   from /usr/lib/evolution-data-server-1.2/extensions/libecalbackendhttp.so
#10 0x407f95e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
#11 0x407fb342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x407fe31f in g_main_context_check () from /lib/libglib-2.0.so.0
#13 0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x40615a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#15 0x0804b6a4 in POA_GNOME_Evolution_DataServer_InterfaceCheck__init ()
#16 0x408dff2c in __libc_start_main () from /lib/libc.so.6
#17 0x0804a081 in ?? ()

Thread 2 (Thread 1093409680 (LWP 5351)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4098d153 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x407fe353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x407812e0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x40818fcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x408b83db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x40996cbe in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 1088727824 (LWP 5350)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4095749b in __waitpid_nocancel () from /lib/libc.so.6
No symbol table info available.
#2  0x408ff91f in do_system () from /lib/libc.so.6
No symbol table info available.
#3  0x408ffcd2 in system () from /lib/libc.so.6
No symbol table info available.
#4  0x408c00dd in system () from /lib/libpthread.so.0
No symbol table info available.
#5  0x0804af31 in POA_GNOME_Evolution_DataServer_InterfaceCheck__init ()
No symbol table info available.
#6  <signal handler called>
No symbol table info available.
#7  0x40935d88 in strcmp () from /lib/libc.so.6
No symbol table info available.
#8  0x40817c64 in g_str_equal () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x41189175 in e_cal_backend_http_get_type ()
   from /usr/lib/evolution-data-server-1.2/extensions/libecalbackendhttp.so
No symbol table info available.
#10 0x407f95e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
No symbol table info available.
#11 0x407fb342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#12 0x407fe31f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#14 0x40615a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#15 0x0804b6a4 in POA_GNOME_Evolution_DataServer_InterfaceCheck__init ()
No symbol table info available.
#16 0x408dff2c in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#17 0x0804a081 in ?? ()
No symbol table info available.
#0  0xffffe410 in __kernel_vsyscall ()
Comment 6 Matthew Barnes 2006-09-16 12:18:41 EDT
gbil, can I have you install the following "debuginfo" packages and post another
backtrace when you see the crash again?

evolution-debuginfo
evolution-data-server-debuginfo
Comment 7 George Billios 2006-09-16 12:29:36 EDT
I'm really stupid it seems! Forgot to install them! Here you go with debuginfo
installed.

Memory status: size: 63266816 vsize: 0 resident: 63266816 share: 0 rss: 6631424
rss_rlim: 0
CPU usage: start_time: 1158424102 rtime: 0 utime: 4 stime: 0 cutime:3 cstime: 0
timeout: 1 it_real_value: 0 frequency: 0

Backtrace was generated from '/usr/libexec/evolution-data-server-1.8'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 1088727824 (LWP 4861)]
[New Thread 1110195088 (LWP 4893)]
[New Thread 1093409680 (LWP 4862)]
0xffffe410 in __kernel_vsyscall ()
#0  0xffffe410 in __kernel_vsyscall ()
#1  0x4095749b in __waitpid_nocancel () from /lib/libc.so.6
#2  0x408ff91f in do_system () from /lib/libc.so.6
#3  0x408ffcd2 in system () from /lib/libc.so.6
#4  0x408c00dd in system () from /lib/libpthread.so.0
#5  0x0804af31 in gnome_segv_handler (signo=11) at server.c:114
#6  <signal handler called>
#7  0x40935d88 in strcmp () from /lib/libc.so.6
#8  0x40817c64 in g_str_equal () from /lib/libglib-2.0.so.0
#9  0x41189175 in begin_retrieval_cb (cbhttp=0x8073508)
    at e-cal-backend-http.c:450
#10 0x407f95e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
#11 0x407fb342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#12 0x407fe31f in g_main_context_check () from /lib/libglib-2.0.so.0
#13 0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
#14 0x40615a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#15 0x0804b6a4 in main (argc=134625664, argv=0xbfab7c24) at server.c:400
#16 0x408dff2c in __libc_start_main () from /lib/libc.so.6
#17 0x0804a081 in _start ()

Thread 3 (Thread 1093409680 (LWP 4862)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4098d153 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x407fe353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x407812e0 in link_set_io_thread () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5  0x40818fcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x408b83db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x40996cbe in clone () from /lib/libc.so.6
No symbol table info available.

Thread 2 (Thread 1110195088 (LWP 4893)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4098d153 in poll () from /lib/libc.so.6
No symbol table info available.
#2  0x407fe353 in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#3  0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#4  0x4006b7e2 in startup_mainloop (arg=0x0) at e-book.c:3748
	loop = (GMainLoop *) 0xfffffffc
#5  0x40818fcf in g_thread_create_full () from /lib/libglib-2.0.so.0
No symbol table info available.
#6  0x408b83db in start_thread () from /lib/libpthread.so.0
No symbol table info available.
#7  0x40996cbe in clone () from /lib/libc.so.6
No symbol table info available.

Thread 1 (Thread 1088727824 (LWP 4861)):
#0  0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1  0x4095749b in __waitpid_nocancel () from /lib/libc.so.6
No symbol table info available.
#2  0x408ff91f in do_system () from /lib/libc.so.6
No symbol table info available.
#3  0x408ffcd2 in system () from /lib/libc.so.6
No symbol table info available.
#4  0x408c00dd in system () from /lib/libpthread.so.0
No symbol table info available.
#5  0x0804af31 in gnome_segv_handler (signo=11) at server.c:114
	in_segv = 1
#6  <signal handler called>
No symbol table info available.
#7  0x40935d88 in strcmp () from /lib/libc.so.6
No symbol table info available.
#8  0x40817c64 in g_str_equal () from /lib/libglib-2.0.so.0
No symbol table info available.
#9  0x41189175 in begin_retrieval_cb (cbhttp=0x8073508)
    at e-cal-backend-http.c:450
	source = <value optimized out>
	secure_prop = <value optimized out>
	priv = (ECalBackendHttpPrivate *) 0x8074ff0
	soup_message = <value optimized out>
#10 0x407f95e1 in g_source_is_destroyed () from /lib/libglib-2.0.so.0
No symbol table info available.
#11 0x407fb342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
No symbol table info available.
#12 0x407fe31f in g_main_context_check () from /lib/libglib-2.0.so.0
No symbol table info available.
#13 0x407fe6c9 in g_main_loop_run () from /lib/libglib-2.0.so.0
No symbol table info available.
#14 0x40615a23 in bonobo_main () from /usr/lib/libbonobo-2.so.0
No symbol table info available.
#15 0x0804b6a4 in main (argc=134625664, argv=0xbfab7c24) at server.c:400
	offline_listener = (OfflineListener *) 0x806f010
#16 0x408dff2c in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#17 0x0804a081 in _start ()
No symbol table info available.
#0  0xffffe410 in __kernel_vsyscall ()
Comment 8 Matthew Barnes 2006-09-16 12:40:18 EDT
Okay good, it's crashing in the same place.  Thanks, gbil.
Comment 9 Matthew Barnes 2006-09-16 14:14:15 EDT
Created attachment 136440 [details]
Proposed patch

sangu and gbil:

I think I found the source of the crash, though I haven't been able to
reproduce the crash myself.  It looks like it's related to web calendars.  If
you know how to apply patches, could you please do so with the attached patch
and post whether or not it fixes the crash for you?
Comment 10 George Billios 2006-09-16 15:25:27 EDT
The patch works fine over here, I did a full rebuild and it only crashed the
first time because I forgot to upgrade the debuginfo package, but after
installing it also it worked fine.  

Thanks for the patch!
Comment 11 Matthew Barnes 2006-09-16 17:21:07 EDT
Cool, thanks for trying it out.

Fixed in evolution-data-server-1.8.0-4.fc6.

Please feel free to re-open this bug if you're still experiencing the crash.
Comment 12 Matthew Barnes 2006-09-16 17:28:22 EDT
*** Bug 206217 has been marked as a duplicate of this bug. ***
Comment 13 Jake Gage 2006-09-18 18:06:29 EDT
Nice work, guys.
Comment 14 Nicole Dai 2006-10-13 02:38:31 EDT
Retest with evolution-data-server-1.8.0-11.fc6 and no crash was found while
starting or using evolution.

Note You need to log in before you can comment on or make changes to this bug.